geometry.h File Reference
Module common | Module common
`#include <Eigen/Core>`
`#include <pcl/console/print.h>`

Go to the source code of this file.

## Detailed Description

Defines some geometrical functions and utility functions

Definition in file geometry.h.

## Namespaces

| pcl
| This file defines compatibility wrappers for low level I/O functions.
| pcl::geometry

## Functions

template<typename PointT >
float | pcl::geometry::distance (const PointT &p1, const PointT &p2)
template<typename PointT >
float | pcl::geometry::squaredDistance (const PointT &p1, const PointT &p2)
template<typename PointT , typename NormalT >
void | pcl::geometry::project (const PointT &point, const PointT &plane_origin, const NormalT &plane_normal, PointT &projected)
void | pcl::geometry::project (const Eigen::Vector3f &point, const Eigen::Vector3f &plane_origin, const Eigen::Vector3f &plane_normal, Eigen::Vector3f &projected)
Eigen::Vector3f | pcl::geometry::projectedAsUnitVector (Eigen::Vector3f const &point, Eigen::Vector3f const &plane_origin, Eigen::Vector3f const &plane_normal)
| Given a plane defined by plane_origin and plane_normal, find the unit vector pointing from plane_origin to the projection of point on the plane. More...
Eigen::Vector3f | pcl::geometry::randomOrthogonalAxis (Eigen::Vector3f const &axis)
| Define a random unit vector orthogonal to axis. More...